#ifndef UTILS_H
#define UTILS_H

#include "utils/stringmap.h"
#include <stdbool.h>
#include <stddef.h>

typedef struct StringMapEntry {
	bool deleted;
	size_t key_hash, value;
} StringMapEntry;

struct StringMap {
	StringMapEntry* data;
	size_t length, capacity;
};

void stringmap_create(StringMap* map);
void stringmap_destroy(StringMap* map);

#endif
